Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.schema.v1
Class HcpartyType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.schema.v1.HcpartyType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:01+01:00",
               comments="JAXB RI v2.2.11")
    public class HcpartyType

extends Object
implements Serializable

Java class for hcpartyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="hcpartyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-HCPARTY" maxOccurs="unbounded" minOccurs="0"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-HCPARTY" maxOccurs="unbounded"/>
             <choice minOccurs="0">
               <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <sequence>
                 <element name="firstname" type="{http://www.w3.org/2001/XMLSchema}string"/>
                 <element name="familyname" type="{http://www.w3.org/2001/XMLSchema}string"/>
               </sequence>
             </choice>
             <element name="address" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}addressType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="telecom" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}telecomType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`HcpartyType()`

Method Summary
`List<AddressType>` | `getAddresses()` Gets the value of the addresses property.
`List<CDHCPARTY>` | `getCds()` Gets the value of the cds property.
`String` | `getFamilyname()` Gets the value of the familyname property.
`String` | `getFirstname()` Gets the value of the firstname property.
`List<IDHCPARTY>` | `getIds()` Gets the value of the ids property.
`String` | `getName()` Gets the value of the name property.
`List<TelecomType>` | `getTelecoms()` Gets the value of the telecoms property.
`void` | `setFamilyname(String value)` Sets the value of the familyname property.
`void` | `setFirstname(String value)` Sets the value of the firstname property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HcpartyType

    public HcpartyType()

Method Detail

### getIds

    public List<IDHCPARTY> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `IDHCPARTY`

### getCds

    public List<CDHCPARTY> getCds()

  Gets the value of the cds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

  For example, to add a new item, do as follows:

          getCds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDHCPARTY`

### getFirstname

    public String getFirstname()

  Gets the value of the firstname property.

  Returns:
    possible object is `String`

### setFirstname

    public void setFirstname(String value)

  Sets the value of the firstname property.

  Parameters:
    `value` - allowed object is `String`

### getFamilyname

    public String getFamilyname()

  Gets the value of the familyname property.

  Returns:
    possible object is `String`

### setFamilyname

    public void setFamilyname(String value)

  Sets the value of the familyname property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getAddresses

    public List<AddressType> getAddresses()

  Gets the value of the addresses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addresses property.

  For example, to add a new item, do as follows:

          getAddresses().add(newItem);

  Objects of the following type(s) are allowed in the list `AddressType`

### getTelecoms

    public List<TelecomType> getTelecoms()

  Gets the value of the telecoms property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the telecoms property.

  For example, to add a new item, do as follows:

          getTelecoms().add(newItem);

  Objects of the following type(s) are allowed in the list `TelecomType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.